Module java.desktop
Package javax.print.attribute.standard

## Class DialogTypeSelection

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.DialogTypeSelection

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, PrintRequestAttribute

    public final class DialogTypeSelection
    extends EnumSyntax
    implements PrintRequestAttribute

Class DialogTypeSelection is a printing attribute class, an enumeration, that indicates the user dialog type to be used for specifying printing options. If `NATIVE` is specified, then where available, a native platform dialog is displayed. If `COMMON` is specified, a cross-platform print dialog is displayed. This option to specify a native dialog for use with an IPP attribute set provides a standard way to reflect back of the setting and option changes made by a user to the calling application, and integrates the native dialog into the Java printing APIs. But note that some options and settings in a native dialog may not necessarily map to IPP attributes as they may be non-standard platform, or even printer specific options.

IPP Compatibility: This is not an IPP attribute.

Since:
  1.7
See Also:
  Serialized Form

### Field Summary

Fields
`static DialogTypeSelection` `COMMON`
`static DialogTypeSelection` `NATIVE`

### Constructor Summary

Constructors
`protected` `DialogTypeSelection(int value)` Constructs a new dialog type selection enumeration value with the given integer value.

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<? extends Attribute>` `getCategory()` Gets the printing attribute class which is to be used as the "category" for this printing attribute value.
`protected EnumSyntax[]` `getEnumValueTable()` Returns the enumeration value table for class DialogTypeSelection.
`String` `getName()` Gets the name of the category of which this attribute value is an instance.
`protected String[]` `getStringTable()` Returns the string table for class DialogTypeSelection.

### Methods inherited from class javax.print.attribute.EnumSyntax

`clone, getOffset, getValue, hashCode, readResolve, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### COMMON

    public static final DialogTypeSelection COMMON

#### NATIVE

    public static final DialogTypeSelection NATIVE

### Constructor Detail

#### DialogTypeSelection

    protected DialogTypeSelection(int value)

Constructs a new dialog type selection enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

### Method Detail

#### getStringTable

    protected String[] getStringTable()

Returns the string table for class DialogTypeSelection.

Overrides:
  `getStringTable` in class `EnumSyntax`
Returns:
  the string table

#### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()

Returns the enumeration value table for class DialogTypeSelection.

Overrides:
  `getEnumValueTable` in class `EnumSyntax`
Returns:
  the value table

#### getCategory

    public final Class<? extends Attribute> getCategory()

Gets the printing attribute class which is to be used as the "category" for this printing attribute value.

For class DialogTypeSelection the category is class DialogTypeSelection itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  Printing attribute class (category), an instance of class `java.lang.Class`.

#### getName

    public final String getName()

Gets the name of the category of which this attribute value is an instance.

For class DialogTypeSelection the category name is `"dialog-type-selection"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  Attribute category name.